package djmil.cordacheckers.gameresult;

public class Rank {
    private Integer gamesPlayed;
    private Integer gamesWon;
    private Integer gamesDraw;

    // Serialisation service requires a default constructor
    public Rank() {
        gamesPlayed = 0;
        gamesWon = 0;
        gamesDraw = 0;
    }

    public Rank(Integer gamesPlayed, Integer gamesWon, Integer gamesDraw) {
        this.gamesPlayed = gamesPlayed;
        this.gamesWon = gamesWon;
        this.gamesDraw = gamesDraw;
    }

    Rank gamePlayed() {
        gamesPlayed++;
        return this;
    }

    Rank gameWon() {
        gamesWon++;
        return this;
    }

    Rank gameDraw(boolean isDraw) {
        if (isDraw)
            gamesDraw++;

        return this;
    }

    public Integer getGamesPlayed() {
        return gamesPlayed;
    }

    public Integer getGamesWon() {
        return gamesWon;
    }

    public Integer getGamesDraw() {
        return gamesDraw;
    }

}
